﻿/* Thanks to font Saira - https://fonts.google.com/specimen/Saira/license */
@font-face {
  font-family: Saira_Google; /* set name */
  src: url('Saira_Google.ttf') format('truetype'); /* url of the font */
  font-size: 50px;
}
:root {
	--body-background: #000000;/*#113333;*/
	--toolbar-vertical-height: 45px;
	--subwindow-background: #121212;
	--subwindow-header: #2211EE;
	--subwindow-header-height: 30px;
  --subwindow-fontcolor: gray;
  --subwindow-header-fontcolor: black;
  --subwindow-hover-background: coral;
  --subwindow-editor-lngtexteditheight: 85px;
  --header-background: silver;
	--subwindow-toolbar-height: 35px;     
	--subwindow-statusbar-height: 20px;
  --program-background: #111111;
  --program-border-color: #454545;
	
/*  -webkit-user-select: none; -ms-user-select: none; user-select: none;*/  
}

html, body {
  background-color: var(--body-background);
  margin: 0;
}

body {
  display: flex;
  justify-content: center;
  font-family: Saira_Google;
  background-color: var(--body-background);
  color: var(--subwindow-fontcolor);
}
body.no-scroll {
    overflow: hidden;
}
span.passmodsuccess{
  width: 100wh;
	display: block;
	background-color: green;
	margin: 0px 0px 10px 0px;
	color: black;
	text-align: center;
  border-radius: 5px;
  box-shadow: 0 0 15px green;
}
span.loginerror{
  width: 100%;
	display: block;
	background-color: red;
	margin: 0px 0px 10px 0px;
	color: black;
	text-align: center;
  border-radius: 5px;
  box-shadow: 0 0 15px red;
}

div.login{
  border: 1px solid gray;
  border-radius:5px;
  width: 100%;
  padding: 0px;
}  
div.loginp{
	display: block;
}

div.boxhdr{
	display: block;
	background-color: var(--header-background);
  border: 1px solid var(--header-background);
  border-radius:5px 5px 0px 0px;
  color: black;
  padding-left: 5px;
}

.boxhdr2{
	display: block;
  padding-left: 5px;
	cursor: pointer;
  text-shadow: 1px 1px 0 #fff, 2px 2px 4px #000;	
}
table.login{
  padding: 10px;
  margin-left: auto;
  margin-right: auto;
}
table tr:nth-child(-n+2) {
  white-space: nowrap;
}
table.login a{
  color: var(--header-background);
}
.edtinputlogin{
  border-radius: 5px;
}

p.sep {
  margin: 10px;
}
.loginh{
  display: none; 
	width:0px;
}
form.frmchangepass{
	padding: 20px;
}

form.logform {
  padding: 0px;
  margin: 0px;
}

div.box{
  border: 1px solid gray;
  border-radius:5px;
  width: 100%;
  padding: 0px;
	margin-top: 15px;
	display: block;
	overflow: auto;
}

div.info{
  padding: 10px;
}
div.proglisheader{
  padding: 5px;
}
div.logininfo{
  padding: 10px;

}
a.boxbottomleft{
	margin-left: 5px;
}

div.subbox {
	
}  
div.subbox2 {
	overflow: auto;
}  
div.programslist {

}

div.programbuttonp {
  margin: 40px 10px 10px 10px;
}
div.programbuttonp:first-child {
  margin: 0px 10px 10px 10px;
}
div.programbutton {
 display: flex;
 gap: 10px;
 cursor: pointer;
 background: var(--program-background);
 border-radius: 5px;
}
div.programbutton span{
 f1loat: right;
}
.programfullscreen{
	overflow: auto;
	position: fixed;
  inset: 0;
  background: var(--body-background);
  display: none;
	cursor: pointer;  
}
.programfullscreenimg {
  max-width: 95vw;
  max-height: 95vh;
  object-fit: contain;	
	cursor: pointer; 
	user-select: none;      
}
div.programbutton img{
  border-radius: 5px 0px 0px 5px;
	width: 270px;
	height: auto;
 -webkit-mask-image: linear-gradient(to right, var(--program-background) 92%, transparent 100%);
  mask-image: linear-gradient(to right, var(--program-background) 92%, transparent 100%);
}

/* Aktuális (választott) progi adatlapja*/
div.aprogram {
 display: none;
}

div.programpage{
 display: none;
 background: var(--program-background);
 border: 1px solid var(--program-border-color);
 border-radius: 0px 0px 10px 10px;
}

div.programpage ul {
 margin: 0px 0px 0px -5px;
 display: block; 
}

.proghdr{
	color: #3333CC;
	padding-left: 5px;
  border-bottom: 1px solid var(--program-border-color);
  border-radius: 0px 0px 6px 6px;
}
span.proghdrh1{
	padding-left: 25px;
	display: block;
}
div.progss{
	margin: 10px 0px 10px 0px;
	display: block;
  display: flex;
  justify-content: center;
}
div.progss img {
  max-width: calc(100% - 100px);
  height: auto;
	cursor: pointer;
}
div.progssl{
	float: left;
	height: auto;
	width: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
	cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  -webkit-tap-highlight-color: transparent;
  touch-action: manipulation;
  border: 1px solid var(--header-background); 
  border-radius: 5px;
  box-shadow: 0 0 3px var(--header-background);
  border-width: 1px 0px 1px 0px;
  margin: 10px;
}
div.progssr{
	float: right;
	height: auto;
	width: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
	cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  -webkit-tap-highlight-color: transparent;
  touch-action: manipulation; 
  border: 1px solid var(--header-background); 
  border-radius: 5px;
  box-shadow: 0 0 3px var(--header-background);
  border-width: 1px 0px 1px 0px;
  margin: 10px;
}
div.backtoapps{
	height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
	cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  -webkit-tap-highlight-color: transparent;
  touch-action: manipulation; 
  border: 1px solid var(--header-background); 
  border-radius: 5px;
  box-shadow: 0 0 3px var(--header-background);
  border-width: 1px 0px 1px 0px;
  margin: 10px;
}
span.save{
	float: right;
	cursor: pointer;
	margin-right: 5px;
	font-weight: bold;
}
a.backtoapps{
	display: block;
	text-align: center;
	text-decoration: none;
}
div.headertoolbar{
  margin-top: 0;
  width: auto;
  float: right;
  display: block;		  
}
div.headertoolbar img{
	cursor: pointer;
}

@media (orientation: portrait) {
	div.loginp{
	  width: 86%;
	}
  div.programbutton img{
		width: 140px;
		height: auto;
	}
}

/* Fekvő */
@media (orientation: landscape) {
	div.loginp{
	  width: 800px;
  }
}